Owner-Pet Compatibility
POST /pet/owner-pet-compatibility
POST
/pet/owner-pet-compatibility
Compatibility score (0-100) based on element + sign distance.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/pet/owner-pet-compatibility \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "owner": { "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }, "pet": { "date": "2020-06-15", "time": "12:00:00", "timezoneOffset": 0, "latitude": 40, "longitude": -74 } }'const res = await fetch('https://api.astroway.info/v1/pet/owner-pet-compatibility', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "owner": { "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }, "pet": { "date": "2020-06-15", "time": "12:00:00", "timezoneOffset": 0, "latitude": 40, "longitude": -74 } }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/pet/owner-pet-compatibility', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'owner': { 'date': "1990-05-15", 'time': "14:30:00", 'timezoneOffset': 3, 'latitude': 50.45, 'longitude': 30.52 }, 'pet': { 'date': "2020-06-15", 'time': "12:00:00", 'timezoneOffset': 0, 'latitude': 40, 'longitude': -74 } },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('pet/owner-pet-compatibility', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'owner' => [ 'date' => '1990-05-15', 'time' => '14:30:00', 'timezoneOffset' => 3, 'latitude' => 50.45, 'longitude' => 30.52, ], 'pet' => [ 'date' => '2020-06-15', 'time' => '12:00:00', 'timezoneOffset' => 0, 'latitude' => 40, 'longitude' => -74, ], ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
Example
{ "owner": { "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }, "pet": { "date": "2020-06-15", "time": "12:00:00", "timezoneOffset": 0, "latitude": 40, "longitude": -74 }}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
compatibility
object
score
number
category
string
Example
{ "ok": true, "data": { "compatibility": { "score": 85, "category": "aligned" } }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.